Commit 4bdce36a authored by Alexander Stippich's avatar Alexander Stippich
Browse files

bump dependencies

parent 825f93c1
Pipeline #181043 passed with stage
in 1 minute and 35 seconds
......@@ -17,7 +17,7 @@ project(skanpage
LANGUAGES CXX)
set(REQUIRED_QT_VERSION "5.15.2")
set(REQUIRED_KF5_VERSION "5.91")
set(REQUIRED_KF5_VERSION "5.94")
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)
......@@ -47,7 +47,7 @@ find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
Purpose
)
find_package(KSaneCore "22.03.70" REQUIRED)
find_package(KSaneCore "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
find_package(Tesseract 4)
find_package(Leptonica)
......
......@@ -22,4 +22,4 @@ To submit a patch to Skanpage, use https://invent.kde.org/utilities/skanpage/-/m
To build Skanpage from source, also see https://community.kde.org/Get_Involved/development.
In order to build the master branch of Skanpage, you need Qt 5.15.2, KDE Frameworks 5.87 and the KDE Gear git master of libksane.
In order to build the master branch of Skanpage, you need Qt 5.15.2, KDE Frameworks 5.94 and the current release of KSaneCore.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment